# $Revision: 1.6 $, $Date: 2001/11/04 22:01:43 $
Summary:	MPEG-4 implementation
Summary(pl):	Implementacja MPEG-4
Name:		divx4linux
Version:	20011025
Release:	1
License:	DIVXNETWORKS Inc. End-user license
Group:		Libraries
Group(de):	Libraries
Group(es):	Bibliotecas
Group(fr):	Librairies
Group(pl):	Biblioteki
Group(pt_BR):	Bibliotecas
Group(ru):	
Group(uk):	̦
#Source0:	http://download.projectmayo.com/dnload/divx4linux/%{name}-%{version}.tgz
Source0:	http://avifile.sourceforge.net/%{name}-%{version}.tgz
URL:		http://www.projectmayo.com/linux/
ExclusiveArch:	%{ix86}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	libdivxdecore

%description
DivX MPEG-4 decoder and encoder.

%description -l pl
Dekoder i koder MPEG-4 DivX.

%package devel
Summary:	DivX header files
Summary(pl):	Pliki nagwkowe DivX
Group:		Development/Libraries
Group(de):	Entwicklung/Libraries
Group(es):	Desarrollo/Bibliotecas
Group(fr):	Development/Librairies
Group(pl):	Programowanie/Biblioteki
Group(pt_BR):	Desenvolvimento/Bibliotecas
Group(ru):	/
Group(uk):	/̦
Requires:	%{name} = %{version}
Obsoletes:	libdivxdecore-devel

%description devel
Header files for libdivxdecore/libdivxencore.

%description -l pl devel
Pliki nagwkowe libdivxdecore/libdivxencore.

%prep
%setup -q

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_libdir},%{_includedir}/divx}

install *.so $RPM_BUILD_ROOT%{_libdir}
install *.h $RPM_BUILD_ROOT%{_includedir}/divx

gzip -9nf RELNOTES.linux "Codec Core Interface.txt" license.txt

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc {RELNOTES.linux,license.txt}.gz
%attr(755,root,root) %{_libdir}/*.so

%files devel
%defattr(644,root,root,755)
%doc Codec*.gz
%{_includedir}/divx

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <pld-list@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: divx4linux.spec,v $
Revision 1.6  2001/11/04 22:01:43  filon
- updated to 20011025
- added using macros Source0

Revision 1.5  2001/10/30 21:05:16  kloczek
- cosmetics.

Revision 1.4  2001/10/13 22:56:08  areq
- snap 20011010

Revision 1.3  2001/10/02 20:59:14  qboosh
- release 2: -devel Obsoletes: libdivxdecore-devel

Revision 1.2  2001/09/08 13:45:27  qboosh
- completed summaries/descriptions
- moved API documentation to devel
- added missing %%{_includedir}/divx dir to devel
- ExclusiveArch (x86 binaries only)
- Obsoletes for libdivxdecore (it doesn't mean that libdivxdecore.spec is to be
  removed - libdivxdecore has sources)

Revision 1.1  2001/08/31 11:49:59  pascalek
- initial revision
